Bug Hunting Session
Bug 66385 - FORMATTING: Bad rendering line spacing under Core Text
Summary: FORMATTING: Bad rendering line spacing under Core Text
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.1 rc
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium normal
Assignee: Khaled Hosny
URL:
Whiteboard: target:4.2.0 target:4.1.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-29 19:59 UTC by deepjungle.maca
Modified: 2013-07-02 07:59 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Bad line spacing (50.70 KB, image/png)
2013-06-29 19:59 UTC, deepjungle.maca
Details
Bad line spacing (50.70 KB, image/png)
2013-06-29 20:00 UTC, deepjungle.maca
Details
Testing document with the problem (18.05 KB, application/vnd.oasis.opendocument.text)
2013-06-29 22:22 UTC, deepjungle.maca
Details

Note You need to log in before you can comment on or make changes to this bug.
Description deepjungle.maca 2013-06-29 19:59:42 UTC
Created attachment 81721 [details]
Bad line spacing

I use LibreOffice on my Macbook with Mountain Lion 10.8.4. I noticed in RC version of LibreOffice 4.1 in my documents are not displayed line spacing correctly.

With the same version of Libre Office on Windows is not any kind of this problem. Only after switch to Core Text rendering started showing this problem. OpenOffice 4.0 which would use also Core Text, there is no this problem.

The document uses Palatino Linotype font. I attached the screenshot showing the problem and the same part showed in OpenOffice 4.0.
Comment 1 deepjungle.maca 2013-06-29 20:00:28 UTC
Created attachment 81722 [details]
Bad line spacing
Comment 2 Khaled Hosny 2013-06-29 21:06:32 UTC
Please attach ODT file used in the screenshot.
Comment 3 deepjungle.maca 2013-06-29 22:22:34 UTC
Created attachment 81727 [details]
Testing document with the problem
Comment 4 Commit Notification 2013-06-30 00:55:45 UTC
Khaled Hosny committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5e0813fc8ef1eb1b19392e46801a231b6f4e931c

fdo#66385: bad line spacing under Core Text



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 deepjungle.maca 2013-06-30 02:01:37 UTC
Thanks a lot, Khaled!

Is it possible to backport to 4.1 as well? I'd like to go on working my thesis on my Mac, and not use my another laptop with Windows. LibreOffice 4.1 has significantly improved SVG support and I finally can use some SVG images.
Comment 6 Khaled Hosny 2013-06-30 02:19:39 UTC
I’m going to backport it (propose it actually, another developer has to approve it at this stage) I’t just waiting for my local build to finsh.
Comment 7 deepjungle.maca 2013-07-01 05:00:14 UTC
I've tried today night build of LibreOffice 4.2.0.aplha0+ with our patch and I can confirm that's fixed.

Again, thanks a lot, Khaled.

Unfortunately, I see a similar bug but with letter-spacing. It hasn't been fixed by this patch. Check more this issue

https://bugs.freedesktop.org/show_bug.cgi?id=66438
Comment 8 Commit Notification 2013-07-02 07:57:36 UTC
Khaled Hosny committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dba2eef1b364c11a52d4bcec6c60e4c21ab26854&h=libreoffice-4-1

fdo#66385: bad line spacing under Core Text


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.